These are chat archives for coala/coala-bears

5th
Jan 2017
euleram
@vijeth-aradhya
Jan 05 2017 04:26
i rebased and tried as well
no idea why travis is failing with pip install requirements.txt
#1223
euleram
@vijeth-aradhya
Jan 05 2017 13:52
@jayvdb which version of cabal do we currently have now? Can we update it to >= 1.18? Even ghc-mod 3.1.4 is not getting installed via cabal because it depends on ^^ :/
John Vandenberg
@jayvdb
Jan 05 2017 14:02
See the circle and travis logs
Cobot file issue coala-bears Document the language versions we support on CI
coala-bot
@coala-bot
Jan 05 2017 14:03
Here you go: coala/coala-bears#1261
euleram
@vijeth-aradhya
Jan 05 2017 14:31
@jayvdb @Mixih Python 3.3 is still failing in travis, and in the others LanguageToolBear is failing
cabal and GhcModBear is working fine :+1:
Can you people please have a look? I'm not understanding that error from a long time :)
Currently, cabal version update - 1.22.9.0 and ghc-mod latest version 5.6.0
This message was deleted
euleram
@vijeth-aradhya
Jan 05 2017 14:48
Oh and dependency_management-0.1.7 is installed through requirements.txt, and in that there is no CabalRequirement
I'll include it as soon as that is included in dependency_management :+1:
John Vandenberg
@jayvdb
Jan 05 2017 15:31
we need a new release of it?
@Mixih :)
mixih
@Mixih
Jan 05 2017 15:36
dependency_management? I don't have access there yet
Lasse Schuirmann
@sils
Jan 05 2017 15:47
I think @Adrianzatreanu might be the only one who has
sils @sils checks
mixih
@Mixih
Jan 05 2017 15:47
Should I instate release team?
Lasse Schuirmann
@sils
Jan 05 2017 15:48
yes please!
:tada:
mixih
@Mixih
Jan 05 2017 15:48
fine, I'll that application done sometime this week :P
Zatreanu Adrian-Gabriel
@Adrianzatreanu
Jan 05 2017 18:18
@Mixih gimme your pypi so i give you access
Lasse Schuirmann
@sils
Jan 05 2017 18:18
it's mixih
Zatreanu Adrian-Gabriel
@Adrianzatreanu
Jan 05 2017 18:19
done, both @sils and @Mixih have rights for dependency management now :)
Lasse Schuirmann
@sils
Jan 05 2017 18:20
ok I think @jayvdb needed it for something - if it's urgent let me know and I can make an almost immediate release
John Vandenberg
@jayvdb
Jan 05 2017 18:24
CabalRequirement
Lasse Schuirmann
@sils
Jan 05 2017 18:25
actually why does the repo have the wrong name...
euleram
@vijeth-aradhya
Jan 05 2017 18:29
should i wait for the next release then :P
mixih
@Mixih
Jan 05 2017 18:29
@sils how do I ack stuff on gitlab? do I push that button? shudders
Lasse Schuirmann
@sils
Jan 05 2017 18:29
yep that's how it works
the gitlab buttons aren't evil though!
they're nice and do the right thing
Mixih @Mixih screams inside as he recalls the github buttons...... and the horror of pushing them
Lasse Schuirmann
@sils
Jan 05 2017 18:30
if you configure them correctly